{
  "name": "Sucursales de Banco",
  "body": [
    {
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "sucbco",
          "tablaHijo": "",
          "campoId": "SucBcoId",
          "cabe": "[$(resultData)]"
        }
      },
      "cantColumnasAncho": 3,
      "componente": "GenericForm",
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "La Sucursal del Banco fue $(accion) exitosamente",
      "mensajeError": "La Sucursal del Banco no pude ser $(accion)",
      "fields": [
        {
            "visible": true,
            "esId": true,
            "name": "SucBcoId",
            "disabled": false,
            "label": "Identificador",
            "validations": {
              "minLength": {
                "message": "La cantidad de digitos debe ser mayor a 0",
                "value": 0
              },
              "required": "El campo Identificador es requerido",
              "maxLength": {
                "message": "La cantidad de digitos debe ser menor a 10",
                "value": 10
              }
            },
            "type": "number"
          },
          {
            "multiselect": false,
            "visible": true,
            "name": "BcoId",
            "tabla": "bco",
            "disabled": false,
            "label": "Banco",
            "validations": { "required": "" },
            "text": "BcoNom",
            "id": "BcoId",
            "type": "supercombobox"
          },
          {
            "multiselect": false,
            "visible": true,
            "name": "SucBcoProv",
            "tabla": "prv",
            "disabled": false,
            "label": "Provincia",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": true,
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 100",
                "value": 100
              }
            },
            "text": "PrvNom",
            "id": "PrvNom",
            "type": "supercombobox"
          },
          {
            "multiselect": false,
            "visible": true,
            "name": "SucBcoLoc",
            "tabla": "loc",
            "disabled": false,
            "label": "Localidad",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": true,
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 100",
                "value": 100
              }
            },
            "text": "LocNom",
            "id": "LocNom",
            "type": "supercombobox"
          },
          {
            "visible": true,
            "name": "SucBcoNum",
            "disabled": false,
            "label": "Numero",
            "validations": {
              "minLength": {
                "message": "La cantidad de digitos debe ser mayor a 0",
                "value": 0
              },
              "required": true,
              "maxLength": {
                "message": "La cantidad de digitos debe ser menor a 20",
                "value": 20
              }
            },
            "type": "number"
          },
          {
            "visible": true,
            "name": "SucBcoNom",
            "disabled": false,
            "label": "Nombre Sucursal",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": true,
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 100",
                "value": 100
              }
            },
            "type": "text"
          },
          {
            "visible": true,
            "name": "SucBcoCP",
            "disabled": false,
            "label": "Codigo Postal",
            "validations": {
              "required": true
            },
            "type": "number"
          },
          {
            "visible": true,
            "name": "SucBcoDir",
            "disabled": false,
            "label": "Direccion",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": "",
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 100",
                "value": 100
              }
            },
            "type": "text"
          }
        ]
    }],
  "columnas": [
    {
      "visible": true,
      "esId": true,
      "name": "SucBcoId",
      "disabled": false,
      "label": "Identificador",
      "type": "number"
    },
    {
      "multiselect": false,
      "visible": true,
      "name": "BcoId",
      "tabla": "bco",
      "disabled": false,
      "label": "Banco",
      "validations": { "required": true },
      "text": "BcoNom",
      "id": "BcoId",
      "type": "supercombobox"
    },
    {
      "multiselect": false,
      "visible": true,
      "name": "SucBcoProv",
      "tabla": "prv",
      "disabled": false,
      "label": "Provincia",
      "validations": { "required": true },
      "text": "PrvNom",
      "id": "PrvNom",
      "type": "supercombobox"
    },
    {
      "multiselect": false,
      "visible": true,
      "name": "SucBcoLoc",
      "tabla": "loc",
      "disabled": false,
      "label": "Localidad",
      "validations": { "required": true },
      "text": "LocNom",
      "id": "LocNom",
      "type": "supercombobox"
    },
    {
      "visible": true,
      "name": "SucBcoNum",
      "disabled": false,
      "label": "Numero",
      "validations": {
        "required": true,
        "max": {
          "message": "El valor ingresado debe ser menor a 999",
          "value": 999
        }
      },
      "type": "number"
    },
    {
      "visible": true,
      "name": "SucBcoNom",
      "disabled": false,
      "label": "Nombre Sucursal",
      "validations": {
        "required": true,
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 100",
          "value": 100
        }
      },
      "type": "text"
    },
    {
      "visible": true,
      "name": "SucBcoCP",
      "disabled": false,
      "label": "Codigo Postal",
      "validations": {
        "required": true,
        "max": {
          "message": "El valor ingresado debe ser menor a 9999",
          "value": 9999
        }
      },
      "type": "number"
    },
    {
      "visible": true,
      "name": "SucBcoDir",
      "disabled": false,
      "label": "Direccion",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        },
        "required": true,
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 100",
          "value": 100
        }
      },
      "type": "text"
    }
  ]
}
